GET /v2/incidents

bikewise.org

Summary: Paginated incidents matching parameters
Operation ID: GET--version-incidents---format-
Auth: none
Description

<p>If you’d like more detailed information about bike incidents, use this endpoint. For mapping, <code>locations</code> is probably a better bet.</p> <p><strong>Notes on location searching</strong>: <br /> - <code>proximity</code> accepts an ip address, an address, zipcode, city, or latitude,longitude - i.e. <code>70.210.133.87</code>, <code>210 NW 11th Ave, Portland, OR</code>, <code>60647</code>, <code>Chicago, IL</code>, and <code>45.521728,-122.67326</code> are all acceptable<br /> - <code>proximity_square</code> sets the length of the sides of the square to find matches inside of. The square is centered on the location specified by <code>proximity</code>. It defaults to 100.</p>

Parameters (8)

incident_type (string, query, optional)

<p>Only incidents of specific type</p>

Constraints: {'enum': ['crash', 'hazard', 'theft', 'unconfirmed', 'infrastructure_issue', 'chop_shop']}

occurred_after (integer, query, optional)

<p>Start of period</p>

occurred_before (integer, query, optional)

<p>End of period</p>

page (integer, query, optional, default: 1)

<p>Page of results to fetch.</p>

per_page (integer, query, optional)

<p>Number of results to return per page.</p>

proximity (string, query, optional)

<p>Center of location for proximity search</p>

proximity_square (integer, query, optional, default: 100)

<p>Size of the proximity search</p>

query (string, query, optional)

<p>Full text search of incidents</p>

Examples (2)

TitleTypeURLAction
List recent bike incidents with pagination doc_extracted https://bikewise.org/api/v2/incidents?page=1&per_page=10
Search bike incidents near Portland, Oregon doc_extracted https://bikewise.org/api/v2/incidents?proximity=Portland,OR&proximity_square=50&per_page=20

No probe data for this endpoint yet.